'use strict';
const Controller = require('egg').Controller;

class TaskController extends Controller {
  async create() {
    const res = await this.ctx.service.task.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.task.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.task.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.task.query(this.ctx.query);
    this.ctx.body = res;
  }
  async stopTask() {
    const res = await this.ctx.service.task.stopTask(this.ctx.request.body);
    this.ctx.body = res;
  }
}

module.exports = TaskController;
