'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 活动
  router.post('/api/activity/task/create', controller.task.create);
  router.post('/api/activity/task/update', controller.task.update);
  router.delete('/api/activity/task/delete/:id', controller.task.delete);
  router.get('/api/activity/task/query', controller.task.query);
  router.post('/api/activity/task/stopTask', controller.task.stopTask);
};
