'use strict';
const Controller = require('egg').Controller;

class ImgtypeController extends Controller {
  async create() {
    const res = await this.ctx.service.imgtype.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.imgtype.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.imgtype.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.imgtype.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = ImgtypeController;
