'use strict';
const Controller = require('egg').Controller;

class MenuController extends Controller {
  async create() {
    const res = await this.ctx.service.menu.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.menu.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.menu.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.menu.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = MenuController;
