'use strict';
const Controller = require('egg').Controller;

class PagesController extends Controller {
  async create() {
    const res = await this.ctx.service.pages.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.pages.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.pages.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.pages.query(this.ctx.query);
    this.ctx.body = res;
  }
  async fetch() {
    const res = await this.ctx.service.pages.fetch(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = PagesController;
