'use strict';
const Controller = require('egg').Controller;

class ToconfigController extends Controller {
  async create() {
    const res = await this.ctx.service.toconfig.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.toconfig.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.toconfig.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.toconfig.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = ToconfigController;
