'use strict';
const Controller = require('egg').Controller;

class DraftController extends Controller {
  async create() {
    const res = await this.ctx.service.draft.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.draft.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.draft.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.draft.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = DraftController;
