'use strict';
const Controller = require('egg').Controller;

class FilestoreController extends Controller {
  async upload() {
    const res = await this.ctx.service.filestore.upload(this.ctx.params);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.filestore.delete(this.ctx.request.body);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.filestore.query(this.ctx.query);
    this.ctx.body = res;
  }
  async filesDownload() {
    const res = await this.ctx.service.filestore.filesDownload(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = FilestoreController;
