'use strict';

module.exports = [
  // 客户端vip
  {
    url: '/api/clientVip/vip/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/vip/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/vip/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/vip/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // vip权限
  {
    url: '/api/clientVip/power/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/power/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/power/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/clientVip/power/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
