'use strict';

module.exports = [
  // 栏目
  {
    url: '/api/cms/column/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/column/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/column/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/column/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 内容
  {
    url: '/api/cms/contents/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/contents/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/contents/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/contents/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  {
    url: '/api/cms/contents/fetch',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 图片新闻类型
  {
    url: '/api/cms/imgtype/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgtype/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgtype/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgtype/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 图片新闻
  {
    url: '/api/cms/imgnews/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgnews/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgnews/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/imgnews/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  {
    url: '/api/cms/imgnews/fetch',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 菜单
  {
    url: '/api/cms/menus/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/menus/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/menus/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/menus/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 单页
  {
    url: '/api/cms/pages/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/pages/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/pages/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/pages/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  {
    url: '/api/cms/pages/fetch',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 配置
  {
    url: '/api/cms/toconfig/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/toconfig/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/toconfig/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/cms/toconfig/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
