'use strict';

module.exports = [
  // 题库
  {
    url: '/api/question/bank/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/bank/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/bank/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/bank/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 试卷
  {
    url: '/api/question/paper/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/paper/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/paper/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/question/paper/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
