'use strict';

module.exports = [
  // 微信api
  {
    url: '/api/wx/wxapi/get_openid',
    jwt: false,
    issuer: [],
    log: false,
  },
  {
    url: '/api/wx/wxapi/get_userInfo',
    jwt: false,
    issuer: [],
    log: false,
  },
  {
    url: '/api/wx/wxapi/pushMould',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  // 支付api
  {
    url: '/api/wx/payapi/book_order',
    jwt: true,
    issuer: [ 'user' ],
    log: true,
  },
  {
    url: '/api/wx/payapi/pay',
    jwt: true,
    issuer: [ 'user' ],
    log: true,
  },
  {
    url: '/api/wx/payapi/orderClose',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/wx/payapi/refund',
    jwt: true,
    issuer: [ 'user' ],
    log: true,
  },
];
