'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 货物名
  name: { type: String, required: true },
  // 货品描述
  describe: { type: String, required: true },
  // 货品详情
  content: { type: String, required: true },
  // 展示图
  thumbnail: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('goods', schema, 'goods');
};
