'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 导入导出进度
  router.post('/api/importandexport/handle/import/:type', controller.handle.import);
  router.post('/api/importandexport/handle/exports', controller.handle.export);
  router.get('/api/importandexport/handle/template', controller.handle.template);
  router.get('/api/importandexport/handle/progressed', controller.handle.progressed);
};
