'use strict';

const Service = require('egg').Service;
class HandleService extends Service {
  constructor(ctx) {
    super(ctx);
    this.progressModel = this.ctx.model.Progress;
  }
  // 修改进度
  async updateProgress({ taskId, progress, type }) {
    const res = await this.progressModel.findOne({ taskId });
    if (!res) {
      await this.progressModel.create({ type, taskId, progress });
    } else {
      await this.progressModel.updateOne({ _id: res._id }, { type, taskId, progress });
    }
  }
  // 查询进度
  async progressed({ taskId }) {
    const res = await this.progressModel.findOne({ taskId });
    return { errcode: 0, errmsg: '', data: res };
  }
}

module.exports = HandleService;
