'use strict';

const Service = require('egg').Service;
class TotalService extends Service {
  // 用户 总数
  async totaluser({ filter, _this }) {
    return await _this.ctx.model.User.estimatedDocumentCount({ ...filter });
  }
  // vip 总数
  async totalvip({ filter, _this }) {
    return await _this.ctx.model.Vip.estimatedDocumentCount({ ...filter });
  }
}

module.exports = TotalService;
