'use strict';
const moment = require('moment');
module.exports = {
  schedule: {
    interval: '1m', // 1 分钟间隔
    type: 'all', // 指定所有的 worker 都需要执行
  },
  async task(ctx) {
    const res = await ctx.model.Vip.find({ status: 0, vipTab: 'svip' });
    for (let i = 0; i < res.length; i++) {
      const time = moment().valueOf();
      if (res[i].endTime <= time) {
        await ctx.model.Vip.updateOne({ _id: res[i]._id }, { endTime: 0, status: '1' });
      }
    }
  },
};
