'use strict';
const Controller = require('egg').Controller;

class MarketController extends Controller {
  async create() {
    const res = await this.ctx.service.market.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.market.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.market.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.market.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = MarketController;
