'use strict';
const Controller = require('egg').Controller;

class CollectController extends Controller {
  async create() {
    const res = await this.ctx.service.collect.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.collect.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.collect.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.collect.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = CollectController;
