'use strict';
const Controller = require('egg').Controller;

class DiscussController extends Controller {
  async create() {
    const res = await this.ctx.service.discuss.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.discuss.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.discuss.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.discuss.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = DiscussController;
