'use strict';
const Controller = require('egg').Controller;

class RoleBindMenuController extends Controller {
  async bind() {
    const res = await this.ctx.service.roleBindMenu.bind(this.ctx.request.body);
    this.ctx.body = res;
  }
  async unbind() {
    const res = await this.ctx.service.roleBindMenu.unbind(this.ctx.request.body);
    this.ctx.body = res;
  }
  async queryBind() {
    const res = await this.ctx.service.roleBindMenu.queryBind(this.ctx.query);
    this.ctx.body = res;
  }
  async queryMenu() {
    const res = await this.ctx.service.roleBindMenu.queryMenu(this.ctx.query);
    this.ctx.body = res;
  }
  async batchBind() {
    const res = await this.ctx.service.roleBindMenu.batchBind(this.ctx.request.body);
    this.ctx.body = res;
  }
  async batchUnBind() {
    const res = await this.ctx.service.roleBindMenu.batchUnBind(this.ctx.request.body);
    this.ctx.body = res;
  }
}

module.exports = RoleBindMenuController;
