'use strict';
const Controller = require('egg').Controller;

class OrgbindController extends Controller {
  async create() {
    const res = await this.ctx.service.orgbind.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.orgbind.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.orgbind.delete(this.ctx.request.body);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.orgbind.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = OrgbindController;
