'use strict';
const Controller = require('egg').Controller;

class PaperController extends Controller {
  async create() {
    const res = await this.ctx.service.paper.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.paper.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.paper.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.paper.query(this.ctx.query);
    this.ctx.body = res;
  }
  async setTopic() {
    const res = await this.ctx.service.paper.setTopic(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = PaperController;
