'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 标题
  title: { type: String, required: true },
  // 答案
  answer: { type: String, required: true },
  // 选项
  options: { type: Array, required: true },
  // 分数
  fraction: { type: Number, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('bank', schema, 'bank');
};
