'use strict';
const Controller = require('egg').Controller;

class ReaderController extends Controller {
  async create() {
    const res = await this.ctx.service.reader.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.reader.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.reader.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.reader.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = ReaderController;
