'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 缩略图
  thumbnail: { type: String, required: true },
  // 名称
  name: { type: String, required: true },
  // 访问地址
  url: { type: String, required: false },
  // 文件路径
  path: { type: String, required: false },
  // 状态 0=正常，1=停用
  status: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('task', schema, 'task');
};
