'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 商城
  router.post('/api/contribution/draft/create', controller.draft.create);
  router.post('/api/contribution/draft/update', controller.draft.update);
  router.delete('/api/contribution/draft/delete/:id', controller.draft.delete);
  router.get('/api/contribution/draft/query', controller.draft.query);
};
