'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.post('/api/files/:app/upload', controller.filestore.upload);
  router.post('/api/files/filestore/delete', controller.filestore.delete);
  router.get('/api/files/filestore/query', controller.filestore.query);
  router.get('/api/files/filestore/filesDownload', controller.filestore.filesDownload);
};
