'use strict';

module.exports = [
  // 字典类型
  {
    url: '/api/code/type/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/type/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/type/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/type/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 字典
  {
    url: '/api/code/dictionary/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/dictionary/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/dictionary/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/code/dictionary/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
