'use strict';
module.exports = [
  // 评论
  {
    url: '/api/media/discuss/create',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/discuss/update',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/discuss/delete/:id',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/discuss/query',
    jwt: false,
    issuer: [ 'naf', 'user' ],
    log: false,
  },
  // 点赞
  {
    url: '/api/media/praise/create',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/praise/update',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/praise/delete/:id',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/praise/query',
    jwt: false,
    issuer: [ 'naf', 'user' ],
    log: false,
  },
  // 收藏
  {
    url: '/api/media/collect/create',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/collect/update',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/collect/delete/:id',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/collect/query',
    jwt: false,
    issuer: [ 'naf', 'user' ],
    log: false,
  },
  // 留言
  {
    url: '/api/media/leave/create',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/leave/update',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/leave/delete/:id',
    jwt: true,
    issuer: [ 'naf', 'user' ],
    log: true,
  },
  {
    url: '/api/media/leave/query',
    jwt: false,
    issuer: [ 'naf', 'user' ],
    log: false,
  },
];
