'use strict';

module.exports = [
  // 机构
  {
    url: '/api/org/org/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/org/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/org/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/org/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
  // 绑定关系
  {
    url: '/api/org/orgbind/create',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/orgbind/update',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/orgbind/delete/:id',
    jwt: true,
    issuer: [ 'naf' ],
    log: true,
  },
  {
    url: '/api/org/orgbind/query',
    jwt: false,
    issuer: [ 'naf' ],
    log: false,
  },
];
