'use strict';
const Controller = require('egg').Controller;

class GoodsController extends Controller {
  async create() {
    const res = await this.ctx.service.goods.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.goods.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.goods.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.goods.query(this.ctx.query);
    this.ctx.body = res;
  }
  async fetch() {
    const res = await this.ctx.service.goods.fetch(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = GoodsController;
