'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 商城货品
  router.post('/api/goods/goods/create', controller.goods.create);
  router.post('/api/goods/goods/update', controller.goods.update);
  router.delete('/api/goods/goods/delete/:id', controller.goods.delete);
  router.get('/api/goods/goods/query', controller.goods.query);
  router.get('/api/goods/goods/fetch', controller.goods.fetch);
};
