'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 任务ID
  taskId: { type: String, required: true },
  // 进度
  progress: { type: Number, required: true },
  // 类型
  type: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('progress', schema, 'progress');
};
