'use strict';
const Controller = require('egg').Controller;

class PowerController extends Controller {
  async create() {
    const res = await this.ctx.service.power.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.power.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async proceed() {
    const res = await this.ctx.service.power.proceed(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.power.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.power.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = PowerController;
