'use strict';
const Controller = require('egg').Controller;

class VipController extends Controller {
  async create() {
    const res = await this.ctx.service.vip.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.vip.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async proceed() {
    const res = await this.ctx.service.vip.proceed(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.vip.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.vip.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = VipController;
