'use strict';
const Controller = require('egg').Controller;

class LntactController extends Controller {
  async create() {
    const res = await this.ctx.service.intact.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.intact.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.intact.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.intact.query(this.ctx.query);
    this.ctx.body = res;
  }
  async fetch() {
    const res = await this.ctx.service.intact.fetch(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = LntactController;
