'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 缩略图
  thumbnail: { type: String, required: false },
  // 标题
  name: { type: String, required: true },
  // 描述
  describe: { type: String, required: false },
  // 状态
  status: { type: String, required: true },
  // 文件路经
  url: { type: String, required: false },
  // 发布时间
  date: { type: Number, required: true },
  // 期刊栏目
  column: { type: String, required: false },
  // 期刊类型
  type: { type: String, required: false },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('intact', schema, 'intact');
};
