'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 期刊
  router.post('/api/journal/intact/create', controller.intact.create);
  router.post('/api/journal/intact/update', controller.intact.update);
  router.delete('/api/journal/intact/delete/:id', controller.intact.delete);
  router.get('/api/journal/intact/query', controller.intact.query);
  router.get('/api/journal/intact/fetch', controller.intact.fetch);
  // 目录
  router.post('/api/journal/catalogue/create', controller.catalogue.create);
  router.post('/api/journal/catalogue/update', controller.catalogue.update);
  router.delete('/api/journal/catalogue/delete/:id', controller.catalogue.delete);
  router.get('/api/journal/catalogue/query', controller.catalogue.query);
  router.get('/api/journal/catalogue/fetch', controller.catalogue.fetch);
};
