'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 商城
  router.post('/api/market/wares/create', controller.market.create);
  router.post('/api/market/wares/update', controller.market.update);
  router.delete('/api/market/wares/delete/:id', controller.market.delete);
  router.get('/api/market/wares/query', controller.market.query);
};
