'use strict';
const Controller = require('egg').Controller;

class LeaveController extends Controller {
  async create() {
    const res = await this.ctx.service.leave.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.leave.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.leave.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.leave.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = LeaveController;
