'use strict';
const Controller = require('egg').Controller;

class PraiseController extends Controller {
  async create() {
    const res = await this.ctx.service.praise.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.praise.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.praise.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.praise.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = PraiseController;
