'use strict';
const Controller = require('egg').Controller;

class OrgController extends Controller {
  async create() {
    const res = await this.ctx.service.org.create(this.ctx.request.body);
    this.ctx.body = res;
  }
  async update() {
    const res = await this.ctx.service.org.update(this.ctx.request.body);
    this.ctx.body = res;
  }
  async delete() {
    const res = await this.ctx.service.org.delete(this.ctx.params);
    this.ctx.body = res;
  }
  async query() {
    const res = await this.ctx.service.org.query(this.ctx.query);
    this.ctx.body = res;
  }
}

module.exports = OrgController;
