'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 机构
  router.post('/api/org/org/create', controller.org.create);
  router.post('/api/org/org/update', controller.org.update);
  router.delete('/api/org/org/delete/:id', controller.org.delete);
  router.get('/api/org/org/query', controller.org.query);
  // 绑定
  router.post('/api/org/orgbind/create', controller.orgbind.create);
  router.post('/api/org/orgbind/update', controller.orgbind.update);
  router.post('/api/org/orgbind/delete', controller.orgbind.delete);
  router.get('/api/org/orgbind/query', controller.orgbind.query);
};
