'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 用户名
  userName: { type: String, required: true },
  // 用户ID
  userId: { type: String, required: true },
  // 试卷内容
  list: { type: Array, required: true },
  // 分数
  fraction: { type: Number, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('paper', schema, 'paper');
};
