'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 题库
  router.post('/api/question/bank/create', controller.bank.create);
  router.post('/api/question/bank/update', controller.bank.update);
  router.delete('/api/question/bank/delete/:id', controller.bank.delete);
  router.get('/api/question/bank/query', controller.bank.query);
  // 试卷
  router.post('/api/question/paper/create', controller.paper.create);
  router.post('/api/question/paper/update', controller.paper.update);
  router.delete('/api/question/paper/delete/:id', controller.paper.delete);
  router.get('/api/question/paper/query', controller.paper.query);
  router.get('/api/question/paper/setTopic', controller.paper.setTopic);
};
