'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 读者
  router.post('/api/reader/user/create', controller.reader.create);
  router.post('/api/reader/user/update', controller.reader.update);
  router.delete('/api/reader/user/delete/:id', controller.reader.delete);
  router.get('/api/reader/user/query', controller.reader.query);
};
