'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 头像
  thumbnail: { type: String, required: false },
  // 昵称
  name: { type: String, required: true },
  // 手机号
  phone: { type: String, required: true },
  // 单位
  company: { type: String, required: false },
  // 标识
  tab: { type: String, required: false },
  // openid
  openid: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('user', schema, 'user');
};
